#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
ll a[30005];
ll b[30005];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t;
    cin>>t;
    while(t--){
        int n;
        cin>>n;
        int brn1=0;
        int brn2=0;
        for(int i=1;i<=n;i++){
            cin>>a[i];
            if(a[i]<0){
                brn1++;
            }
        }
        for(int i=1;i<=n;i++){
            cin>>b[i];
            if(b[i]<0){
                brn2++;
            }
        }
        if(brn1%2!=brn2%2){
            cout<<"NE"<<endl;
        }
        else{
            cout<<"DA"<<endl;
        }
    }
    return 0;
}